summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/rule_management/0006replace_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/rule_management/0006replace_1')
-rwxr-xr-xtests/shell/testcases/rule_management/0006replace_14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/shell/testcases/rule_management/0006replace_1 b/tests/shell/testcases/rule_management/0006replace_1
index 5dfcba02..b728310f 100755
--- a/tests/shell/testcases/rule_management/0006replace_1
+++ b/tests/shell/testcases/rule_management/0006replace_1
@@ -6,6 +6,8 @@
set -e
$NFT add table t
$NFT add chain t c
+
# position keyword with replace action is not allowed, this should fail
-$NFT replace rule t c position 2 drop 2>/dev/null
+$NFT replace rule t c position 2 drop 2>/dev/null || exit 0
echo "E: allowed replace with position specification" >&2
+exit 1